###################################################
### chunk number 1: preliminaries
###################################################
options(prompt=">", width=80)
set.seed(20040804)


###################################################
### chunk number 2: 
###################################################
library(mfp)


###################################################
### chunk number 3: 
###################################################
str(mfp)


###################################################
### chunk number 4: 
###################################################
str(fp)


###################################################
### chunk number 5: 
###################################################
data(GBSG)
str(GBSG)


###################################################
### chunk number 6: 
###################################################
f <- mfp(Surv(rfst, cens) ~ strata(htreat)+age+fp(tumsize)+fp(posnodal)+fp(prm)+fp(esm)
        +menostat+tumgrad, family = cox, data = GBSG, select=0.05, verbose=TRUE)


###################################################
### chunk number 7: 
###################################################
summary(f)


###################################################
### chunk number 8: 
###################################################
f$fptable


###################################################
### chunk number 9: FIG1
###################################################
pf <- survfit(f$fit)  
plot(pf, col=c("red","green"), xlab="Time (years)", ylab="Recurrence free survival rate", xscale=365.25)


###################################################
### chunk number 10: FIG2
###################################################
par(mfrow=c(1,3),mar=c(4,4,1,1))
plot(f, var="posnodal", log="x")


